Page MenuHomePhabricator

Static Analyzer - Localizability Checker: New Localizable APIs for macOS High Sierra & iOS 11
ClosedPublic

Authored by kulpreet on Jun 15 2017, 6:49 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

kulpreet created this revision.Jun 15 2017, 6:49 PM
zaks.anna accepted this revision.Jun 16 2017, 10:32 PM

Thanks! Do you have commit access?

This revision is now accepted and ready to land.Jun 16 2017, 10:32 PM
zaks.anna added a subscriber: NoQ.Jun 16 2017, 10:33 PM

Thanks! Do you have commit access?

No problem! I don’t have commit access. In the past, Devin has commited on my behalf.

NoQ added a comment.Jun 20 2017, 12:09 AM

Hmm, should there be new tests that demonstrate that we cover the new APIs?

Hmm, should there be new tests that demonstrate that we cover the new APIs?

Unless we use a new registration mechanism for some of these APIs, I'd be fine without adding a test for every API that has localization constraints.

This revision was automatically updated to reflect the committed changes.